# Disable

#### Description
Disables a Real Time Scheduling link. You can only disable a link which has not been completed. Anyone visiting the link after it has been disabled will see a message of your choosing.

#### URL format
```
{data_center_url}/v1/real_time_scheduling/{id}/disable
```

#### Example Request
```http
POST /v1/real_time_scheduling/{id}/disable HTTP/1.1
Host: {data_center_url}
Authorization: Bearer {API_KEY}
Content-Type: application/json; charset=utf-8

{
  "display_message": "Let's hold off until next month."
}
```

#### Request parameters
##### `data_center_url` *(required)*

The URL for the data center you want to communicate with. Possible choices are:

- `api-au.cronofy.com` - Australia
- `api-ca.cronofy.com` - Canada
- `api-de.cronofy.com` - Germany
- `api-sg.cronofy.com` - Singapore
- `api-uk.cronofy.com` - United Kingdom
- `api.cronofy.com` - United States

Find out more about [Cronofy's data centers](/developers/data-centers/index.md).
##### `id` *(required)*

The Cronofy identifier for the Real Time Scheduling link, a [`String`](/developers/api/data-types/index.md).

##### `display_message` *(required)*

A [`String`](/developers/api/data-types/index.md) message which will be displayed to anyone visiting the link after it has been disabled. The maximum length accepted is 500 characters.

HTML is not supported, but white-space formatting (e.g. line-breaks and paragraphs) is preserved.

#### Example Response
```http
HTTP/1.1 200 OK

{
  "real_time_scheduling": {
    "real_time_scheduling_id": "sch_64b1859e8090ea21640c915f",
    "url": "{REAL_TIME_SCHEDULING_URL}",
    "event": {...},
    "status": "disabled"
  }
}
```

The resulting state of the Real Time Scheduling link, equivalent to the [Status endpoint response](/developers/api/scheduling/real-time-scheduling/status/index.md).



---
[Read in HTML](/developers/api/scheduling/real-time-scheduling/disable/)